## javax.faces.el
Class EvaluationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException
                      javax.faces.el.EvaluationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MethodNotFoundException, PropertyNotFoundException, ReferenceSyntaxException

public class EvaluationException
extends FacesException

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Constructor Summary
`EvaluationException()`
`EvaluationException(java.lang.String message)`
`EvaluationException(java.lang.String message, java.lang.Throwable cause)`
`EvaluationException(java.lang.Throwable cause)`

Methods inherited from class javax.faces.FacesException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvaluationException

    public EvaluationException()

### EvaluationException

    public EvaluationException(java.lang.String message)

### EvaluationException

    public EvaluationException(java.lang.String message,
                               java.lang.Throwable cause)

### EvaluationException

    public EvaluationException(java.lang.Throwable cause)